public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-14 17:14 Mike Gilbert (floppym)
  0 siblings, 0 replies; 6+ messages in thread
From: Mike Gilbert (floppym) @ 2014-12-14 17:14 UTC (permalink / raw
  To: gentoo-commits

floppym     14/12/14 17:14:57

  Modified:             ChangeLog
  Added:                python-2.7.9.ebuild
  Log:
  Version bump.
  
  (Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key 0BBEEA1FEA4843A4)

Revision  Changes    Path
1.799                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.799&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.799&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.798&r2=1.799

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.798
retrieving revision 1.799
diff -u -r1.798 -r1.799
--- ChangeLog	11 Dec 2014 16:05:48 -0000	1.798
+++ ChangeLog	14 Dec 2014 17:14:57 -0000	1.799
@@ -1,6 +1,11 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.798 2014/12/11 16:05:48 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.799 2014/12/14 17:14:57 floppym Exp $
+
+*python-2.7.9 (14 Dec 2014)
+
+  14 Dec 2014; Mike Gilbert <floppym@gentoo.org> +python-2.7.9.ebuild:
+  Version bump.
 
   11 Dec 2014; Michał Górny <mgorny@gentoo.org> python-3.2.5-r6.ebuild:
   Add a postinst explaining that Python 3.2 is not supported.



1.1                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.1&content-type=text/plain

Index: python-2.7.9.ebuild
===================================================================
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.1 2014/12/14 17:14:57 floppym Exp $

EAPI="4"
WANT_AUTOMAKE="none"
WANT_LIBTOOL="none"

inherit autotools eutils flag-o-matic multilib pax-utils python-utils-r1 toolchain-funcs multiprocessing

MY_P="Python-${PV}"
PATCHSET_VERSION="2.7.9-0"

DESCRIPTION="An interpreted, interactive, object-oriented programming language"
HOMEPAGE="http://www.python.org/"
SRC_URI="http://www.python.org/ftp/python/${PV}/${MY_P}.tar.xz
	http://dev.gentoo.org/~floppym/python/python-gentoo-patches-${PATCHSET_VERSION}.tar.xz"

LICENSE="PSF-2"
SLOT="2.7"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="-berkdb build doc elibc_uclibc examples gdbm hardened ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"

# Do not add a dependency on dev-lang/python to this ebuild.
# If you need to apply a patch which requires python for bootstrapping, please
# run the bootstrap code on your dev box and include the results in the
# patchset. See bug 447752.

RDEPEND="app-arch/bzip2
	>=sys-libs/zlib-1.1.3
	virtual/libffi
	virtual/libintl
	!build? (
		berkdb? ( || (
			sys-libs/db:5.3
			sys-libs/db:5.2
			sys-libs/db:5.1
			sys-libs/db:5.0
			sys-libs/db:4.8
			sys-libs/db:4.7
			sys-libs/db:4.6
			sys-libs/db:4.5
			sys-libs/db:4.4
			sys-libs/db:4.3
			sys-libs/db:4.2
		) )
		gdbm? ( sys-libs/gdbm[berkdb] )
		ncurses? (
			>=sys-libs/ncurses-5.2
			readline? ( >=sys-libs/readline-4.1 )
		)
		sqlite? ( >=dev-db/sqlite-3.3.8:3 )
		ssl? ( dev-libs/openssl )
		tk? (
			>=dev-lang/tk-8.0
			dev-tcltk/blt
			dev-tcltk/tix
		)
		xml? ( >=dev-libs/expat-2.1 )
	)
	!!<sys-apps/portage-2.1.9"
DEPEND="${RDEPEND}
	virtual/pkgconfig
	>=sys-devel/autoconf-2.65
	!sys-devel/gcc[libffi]"
RDEPEND+=" !build? ( app-misc/mime-types )
	doc? ( dev-python/python-docs:${SLOT} )"
PDEPEND="app-admin/eselect-python
	app-admin/python-updater"

S="${WORKDIR}/${MY_P}"

pkg_setup() {
	if use berkdb; then
		ewarn "'bsddb' module is out-of-date and no longer maintained inside"
		ewarn "dev-lang/python. 'bsddb' and 'dbhash' modules have been additionally"
		ewarn "removed in Python 3. A maintained alternative of 'bsddb3' module"
		ewarn "is provided by dev-python/bsddb3."
	else
		if has_version "=${CATEGORY}/${PN}-${PV%%.*}*[berkdb]"; then
			ewarn "You are migrating from =${CATEGORY}/${PN}-${PV%%.*}*[berkdb]"
			ewarn "to =${CATEGORY}/${PN}-${PV%%.*}*[-berkdb]."
			ewarn "You might need to migrate your databases."
		fi
	fi
}

src_prepare() {
	# Ensure that internal copies of expat, libffi and zlib are not used.
	rm -r Modules/expat || die
	rm -r Modules/_ctypes/libffi* || die
	rm -r Modules/zlib || die

	if tc-is-cross-compiler; then
		local EPATCH_EXCLUDE="*_regenerate_platform-specific_modules.patch"
	fi

	EPATCH_SUFFIX="patch" epatch "${WORKDIR}/patches"

	# Fix for cross-compiling.
	epatch "${FILESDIR}/python-2.7.5-nonfatal-compileall.patch"

	sed -i -e "s:@@GENTOO_LIBDIR@@:$(get_libdir):g" \
		Lib/distutils/command/install.py \
		Lib/distutils/sysconfig.py \
		Lib/site.py \
		Lib/sysconfig.py \
		Lib/test/test_site.py \
		Makefile.pre.in \
		Modules/Setup.dist \
		Modules/getpath.c \
		setup.py || die "sed failed to replace @@GENTOO_LIBDIR@@"

	epatch_user

	eautoconf
	eautoheader
}

src_configure() {
	if use build; then
		# Disable extraneous modules with extra dependencies.
		export PYTHON_DISABLE_MODULES="dbm _bsddb gdbm _curses _curses_panel readline _sqlite3 _tkinter _elementtree pyexpat"
		export PYTHON_DISABLE_SSL="1"
	else
		# dbm module can be linked against berkdb or gdbm.
		# Defaults to gdbm when both are enabled, #204343.
		local disable
		use berkdb   || use gdbm || disable+=" dbm"
		use berkdb   || disable+=" _bsddb"
		use gdbm     || disable+=" gdbm"
		use ncurses  || disable+=" _curses _curses_panel"
		use readline || disable+=" readline"
		use sqlite   || disable+=" _sqlite3"
		use ssl      || export PYTHON_DISABLE_SSL="1"
		use tk       || disable+=" _tkinter"
		use xml      || disable+=" _elementtree pyexpat" # _elementtree uses pyexpat.
		export PYTHON_DISABLE_MODULES="${disable}"

		if ! use xml; then
			ewarn "You have configured Python without XML support."
			ewarn "This is NOT a recommended configuration as you"
			ewarn "may face problems parsing any XML documents."
		fi
	fi

	if [[ -n "${PYTHON_DISABLE_MODULES}" ]]; then
		einfo "Disabled modules: ${PYTHON_DISABLE_MODULES}"
	fi

	if [[ "$(gcc-major-version)" -ge 4 ]]; then
		append-flags -fwrapv
	fi

	filter-flags -malign-double

	[[ "${ARCH}" == "alpha" ]] && append-flags -fPIC

	# https://bugs.gentoo.org/show_bug.cgi?id=50309
	if is-flagq -O3; then
		is-flagq -fstack-protector-all && replace-flags -O3 -O2
		use hardened && replace-flags -O3 -O2
	fi

	if tc-is-cross-compiler; then
		# Force some tests that try to poke fs paths.
		export ac_cv_file__dev_ptc=no
		export ac_cv_file__dev_ptmx=yes
	fi

	# Export CXX so it ends up in /usr/lib/python2.X/config/Makefile.
	tc-export CXX
	# The configure script fails to use pkg-config correctly.
	# http://bugs.python.org/issue15506
	export ac_cv_path_PKG_CONFIG=$(tc-getPKG_CONFIG)

	# Set LDFLAGS so we link modules with -lpython2.7 correctly.
	# Needed on FreeBSD unless Python 2.7 is already installed.
	# Please query BSD team before removing this!
	append-ldflags "-L."

	local dbmliborder
	if use gdbm; then
		dbmliborder+="${dbmliborder:+:}gdbm"
	fi
	if use berkdb; then
		dbmliborder+="${dbmliborder:+:}bdb"
	fi

	BUILD_DIR="${WORKDIR}/${CHOST}"
	mkdir -p "${BUILD_DIR}" || die
	cd "${BUILD_DIR}" || die

	ECONF_SOURCE="${S}" OPT="" \
	econf \
		--with-fpectl \
		--enable-shared \
		$(use_enable ipv6) \
		$(use_with threads) \
		$(use wide-unicode && echo "--enable-unicode=ucs4" || echo "--enable-unicode=ucs2") \
		--infodir='${prefix}/share/info' \
		--mandir='${prefix}/share/man' \
		--with-dbmliborder="${dbmliborder}" \
		--with-libc="" \
		--enable-loadable-sqlite-extensions \
		--with-system-expat \
		--with-system-ffi

	if use threads && grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
		eerror "configure has detected that the sem_open function is broken."
		eerror "Please ensure that /dev/shm is mounted as a tmpfs with mode 1777."
		die "Broken sem_open function (bug 496328)"
	fi
}

src_compile() {
	# Avoid invoking pgen for cross-compiles.
	touch Include/graminit.h Python/graminit.c

	cd "${BUILD_DIR}" || die
	emake

	# Work around bug 329499. See also bug 413751 and 457194.
	if has_version dev-libs/libffi[pax_kernel]; then
		pax-mark E python
	else
		pax-mark m python
	fi
}

src_test() {
	# Tests will not work when cross compiling.
	if tc-is-cross-compiler; then
		elog "Disabling tests due to crosscompiling."
		return
	fi

	cd "${BUILD_DIR}" || die

	# Skip failing tests.
	local skipped_tests="distutils gdb"

	for test in ${skipped_tests}; do
		mv "${S}"/Lib/test/test_${test}.py "${T}"
	done

	# Rerun failed tests in verbose mode (regrtest -w).
	emake test EXTRATESTOPTS="-w" < /dev/tty
	local result="$?"

	for test in ${skipped_tests}; do
		mv "${T}/test_${test}.py" "${S}"/Lib/test
	done

	elog "The following tests have been skipped:"
	for test in ${skipped_tests}; do
		elog "test_${test}.py"
	done

	elog "If you would like to run them, you may:"
	elog "cd '${EPREFIX}/usr/$(get_libdir)/python${SLOT}/test'"
	elog "and run the tests separately."

	if [[ "${result}" -ne 0 ]]; then
		die "emake test failed"
	fi
}

src_install() {
	local libdir=${ED}/usr/$(get_libdir)/python${SLOT}

	cd "${BUILD_DIR}" || die
	emake DESTDIR="${D}" altinstall

	sed -e "s/\(LDFLAGS=\).*/\1/" -i "${libdir}/config/Makefile" || die "sed failed"

	# Backwards compat with Gentoo divergence.
	dosym python${SLOT}-config /usr/bin/python-config-${SLOT}

	# Fix collisions between different slots of Python.
	mv "${ED}usr/bin/2to3" "${ED}usr/bin/2to3-${SLOT}"
	mv "${ED}usr/bin/pydoc" "${ED}usr/bin/pydoc${SLOT}"
	mv "${ED}usr/bin/idle" "${ED}usr/bin/idle${SLOT}"
	rm -f "${ED}usr/bin/smtpd.py"

	if use build; then
		rm -fr "${ED}usr/bin/idle${SLOT}" "${libdir}/"{bsddb,dbhash.py,idlelib,lib-tk,sqlite3,test}
	else
		use berkdb || rm -r "${libdir}/"{bsddb,dbhash.py,test/test_bsddb*} || die
		use sqlite || rm -r "${libdir}/"{sqlite3,test/test_sqlite*} || die
		use tk || rm -r "${ED}usr/bin/idle${SLOT}" "${libdir}/"{idlelib,lib-tk} || die
		use elibc_uclibc && rm -fr "${libdir}/"{bsddb/test,test}
	fi

	use threads || rm -r "${libdir}/multiprocessing" || die
	use wininst || rm -r "${libdir}/distutils/command/"wininst-*.exe || die

	dodoc "${S}"/Misc/{ACKS,HISTORY,NEWS}

	if use examples; then
		insinto /usr/share/doc/${PF}/examples
		doins -r "${S}"/Tools
	fi
	insinto /usr/share/gdb/auto-load/usr/$(get_libdir) #443510
	local libname=$(printf 'e:\n\t@echo $(INSTSONAME)\ninclude Makefile\n' | \
		emake --no-print-directory -s -f - 2>/dev/null)
	newins "${S}"/Tools/gdb/libpython.py "${libname}"-gdb.py

	newconfd "${FILESDIR}/pydoc.conf" pydoc-${SLOT}
	newinitd "${FILESDIR}/pydoc.init" pydoc-${SLOT}
	sed \
		-e "s:@PYDOC_PORT_VARIABLE@:PYDOC${SLOT/./_}_PORT:" \
		-e "s:@PYDOC@:pydoc${SLOT}:" \
		-i "${ED}etc/conf.d/pydoc-${SLOT}" "${ED}etc/init.d/pydoc-${SLOT}" || die "sed failed"

	# for python-exec
	python_export python${SLOT} EPYTHON PYTHON PYTHON_SITEDIR

	# if not using a cross-compiler, use the fresh binary
	if ! tc-is-cross-compiler; then
		local PYTHON=./python
		local -x LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}.
	fi

	echo "EPYTHON='${EPYTHON}'" > epython.py
	python_domodule epython.py
}

pkg_preinst() {
	if has_version "<${CATEGORY}/${PN}-${SLOT}" && ! has_version "${CATEGORY}/${PN}:2.7"; then
		python_updater_warning="1"
	fi
}

eselect_python_update() {
	if [[ -z "$(eselect python show)" || ! -f "${EROOT}usr/bin/$(eselect python show)" ]]; then
		eselect python update
	fi

	if [[ -z "$(eselect python show --python${PV%%.*})" || ! -f "${EROOT}usr/bin/$(eselect python show --python${PV%%.*})" ]]; then
		eselect python update --python${PV%%.*}
	fi
}

pkg_postinst() {
	eselect_python_update

	if [[ "${python_updater_warning}" == "1" ]]; then
		ewarn "You have just upgraded from an older version of Python."
		ewarn "You should switch active version of Python ${PV%%.*} and run"
		ewarn "'python-updater [options]' to rebuild Python modules."
	fi
}

pkg_postrm() {
	eselect_python_update
}





^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-23  9:02 Agostino Sarubbo (ago)
  0 siblings, 0 replies; 6+ messages in thread
From: Agostino Sarubbo (ago) @ 2014-12-23  9:02 UTC (permalink / raw
  To: gentoo-commits

ago         14/12/23 09:02:20

  Modified:             python-2.7.9.ebuild ChangeLog
  Log:
  Stable for amd64, wrt bug #532232
  
  (Portage version: 2.2.14/cvs/Linux x86_64, RepoMan options: --include-arches="amd64", signed Manifest commit with key 7194459F)

Revision  Changes    Path
1.3                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?r1=1.2&r2=1.3

Index: python-2.7.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- python-2.7.9.ebuild	22 Dec 2014 14:36:43 -0000	1.2
+++ python-2.7.9.ebuild	23 Dec 2014 09:02:20 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.2 2014/12/22 14:36:43 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.3 2014/12/23 09:02:20 ago Exp $
 
 EAPI="4"
 WANT_AUTOMAKE="none"
@@ -18,7 +18,7 @@
 
 LICENSE="PSF-2"
 SLOT="2.7"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
 IUSE="-berkdb build doc elibc_uclibc examples gdbm hardened ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
 
 # Do not add a dependency on dev-lang/python to this ebuild.



1.801                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.801&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.801&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.800&r2=1.801

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.800
retrieving revision 1.801
diff -u -r1.800 -r1.801
--- ChangeLog	22 Dec 2014 14:36:43 -0000	1.800
+++ ChangeLog	23 Dec 2014 09:02:20 -0000	1.801
@@ -1,6 +1,9 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.800 2014/12/22 14:36:43 jer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.801 2014/12/23 09:02:20 ago Exp $
+
+  23 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
+  Stable for amd64, wrt bug #532232
 
   22 Dec 2014; Jeroen Roovers <jer@gentoo.org> python-2.7.9.ebuild:
   Stable for HPPA (bug #532232).





^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-23  9:03 Agostino Sarubbo (ago)
  0 siblings, 0 replies; 6+ messages in thread
From: Agostino Sarubbo (ago) @ 2014-12-23  9:03 UTC (permalink / raw
  To: gentoo-commits

ago         14/12/23 09:03:37

  Modified:             python-2.7.9.ebuild ChangeLog
  Log:
  Stable for x86, wrt bug #532232
  
  (Portage version: 2.2.14/cvs/Linux x86_64, RepoMan options: --include-arches="x86", signed Manifest commit with key 7194459F)

Revision  Changes    Path
1.4                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?r1=1.3&r2=1.4

Index: python-2.7.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- python-2.7.9.ebuild	23 Dec 2014 09:02:20 -0000	1.3
+++ python-2.7.9.ebuild	23 Dec 2014 09:03:37 -0000	1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.3 2014/12/23 09:02:20 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.4 2014/12/23 09:03:37 ago Exp $
 
 EAPI="4"
 WANT_AUTOMAKE="none"
@@ -18,7 +18,7 @@
 
 LICENSE="PSF-2"
 SLOT="2.7"
-KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
 IUSE="-berkdb build doc elibc_uclibc examples gdbm hardened ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
 
 # Do not add a dependency on dev-lang/python to this ebuild.



1.802                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.802&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.802&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.801&r2=1.802

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.801
retrieving revision 1.802
diff -u -r1.801 -r1.802
--- ChangeLog	23 Dec 2014 09:02:20 -0000	1.801
+++ ChangeLog	23 Dec 2014 09:03:37 -0000	1.802
@@ -1,6 +1,9 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.801 2014/12/23 09:02:20 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.802 2014/12/23 09:03:37 ago Exp $
+
+  23 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
+  Stable for x86, wrt bug #532232
 
   23 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
   Stable for amd64, wrt bug #532232





^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-24 14:35 Agostino Sarubbo (ago)
  0 siblings, 0 replies; 6+ messages in thread
From: Agostino Sarubbo (ago) @ 2014-12-24 14:35 UTC (permalink / raw
  To: gentoo-commits

ago         14/12/24 14:35:15

  Modified:             python-2.7.9.ebuild ChangeLog
  Log:
  Stable for ppc, wrt bug #532232
  
  (Portage version: 2.2.14/cvs/Linux x86_64, RepoMan options: --include-arches="ppc", signed Manifest commit with key 7194459F)

Revision  Changes    Path
1.5                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?r1=1.4&r2=1.5

Index: python-2.7.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- python-2.7.9.ebuild	23 Dec 2014 09:03:37 -0000	1.4
+++ python-2.7.9.ebuild	24 Dec 2014 14:35:15 -0000	1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.4 2014/12/23 09:03:37 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.5 2014/12/24 14:35:15 ago Exp $
 
 EAPI="4"
 WANT_AUTOMAKE="none"
@@ -18,7 +18,7 @@
 
 LICENSE="PSF-2"
 SLOT="2.7"
-KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
 IUSE="-berkdb build doc elibc_uclibc examples gdbm hardened ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
 
 # Do not add a dependency on dev-lang/python to this ebuild.



1.803                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.803&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.803&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.802&r2=1.803

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.802
retrieving revision 1.803
diff -u -r1.802 -r1.803
--- ChangeLog	23 Dec 2014 09:03:37 -0000	1.802
+++ ChangeLog	24 Dec 2014 14:35:15 -0000	1.803
@@ -1,6 +1,9 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.802 2014/12/23 09:03:37 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.803 2014/12/24 14:35:15 ago Exp $
+
+  24 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
+  Stable for ppc, wrt bug #532232
 
   23 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
   Stable for x86, wrt bug #532232





^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-24 14:45 Agostino Sarubbo (ago)
  0 siblings, 0 replies; 6+ messages in thread
From: Agostino Sarubbo (ago) @ 2014-12-24 14:45 UTC (permalink / raw
  To: gentoo-commits

ago         14/12/24 14:45:22

  Modified:             python-2.7.9.ebuild ChangeLog
  Log:
  Stable for ppc64, wrt bug #532232
  
  (Portage version: 2.2.14/cvs/Linux x86_64, RepoMan options: --include-arches="ppc64", signed Manifest commit with key 7194459F)

Revision  Changes    Path
1.6                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?r1=1.5&r2=1.6

Index: python-2.7.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- python-2.7.9.ebuild	24 Dec 2014 14:35:15 -0000	1.5
+++ python-2.7.9.ebuild	24 Dec 2014 14:45:22 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.5 2014/12/24 14:35:15 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.6 2014/12/24 14:45:22 ago Exp $
 
 EAPI="4"
 WANT_AUTOMAKE="none"
@@ -18,7 +18,7 @@
 
 LICENSE="PSF-2"
 SLOT="2.7"
-KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
+KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
 IUSE="-berkdb build doc elibc_uclibc examples gdbm hardened ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml"
 
 # Do not add a dependency on dev-lang/python to this ebuild.



1.804                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.804&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.804&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.803&r2=1.804

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.803
retrieving revision 1.804
diff -u -r1.803 -r1.804
--- ChangeLog	24 Dec 2014 14:35:15 -0000	1.803
+++ ChangeLog	24 Dec 2014 14:45:22 -0000	1.804
@@ -1,6 +1,9 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.803 2014/12/24 14:35:15 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.804 2014/12/24 14:45:22 ago Exp $
+
+  24 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
+  Stable for ppc64, wrt bug #532232
 
   24 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
   Stable for ppc, wrt bug #532232





^ permalink raw reply	[flat|nested] 6+ messages in thread

* [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog
@ 2014-12-24 19:06 Mike Gilbert (floppym)
  0 siblings, 0 replies; 6+ messages in thread
From: Mike Gilbert (floppym) @ 2014-12-24 19:06 UTC (permalink / raw
  To: gentoo-commits

floppym     14/12/24 19:06:43

  Modified:             python-2.7.9.ebuild ChangeLog
  Log:
  Pass --without-ensurepip to configure.
  
  (Portage version: 2.2.15/cvs/Linux x86_64, signed Manifest commit with key 0BBEEA1FEA4843A4)

Revision  Changes    Path
1.7                  dev-lang/python/python-2.7.9.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/python-2.7.9.ebuild?r1=1.6&r2=1.7

Index: python-2.7.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- python-2.7.9.ebuild	24 Dec 2014 14:45:22 -0000	1.6
+++ python-2.7.9.ebuild	24 Dec 2014 19:06:43 -0000	1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.6 2014/12/24 14:45:22 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/python-2.7.9.ebuild,v 1.7 2014/12/24 19:06:43 floppym Exp $
 
 EAPI="4"
 WANT_AUTOMAKE="none"
@@ -204,7 +204,8 @@
 		--with-libc="" \
 		--enable-loadable-sqlite-extensions \
 		--with-system-expat \
-		--with-system-ffi
+		--with-system-ffi \
+		--without-ensurepip
 
 	if use threads && grep -q "#define POSIX_SEMAPHORES_NOT_ENABLED 1" pyconfig.h; then
 		eerror "configure has detected that the sem_open function is broken."



1.805                dev-lang/python/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.805&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?rev=1.805&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/python/ChangeLog?r1=1.804&r2=1.805

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v
retrieving revision 1.804
retrieving revision 1.805
diff -u -r1.804 -r1.805
--- ChangeLog	24 Dec 2014 14:45:22 -0000	1.804
+++ ChangeLog	24 Dec 2014 19:06:43 -0000	1.805
@@ -1,6 +1,9 @@
 # ChangeLog for dev-lang/python
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.804 2014/12/24 14:45:22 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/python/ChangeLog,v 1.805 2014/12/24 19:06:43 floppym Exp $
+
+  24 Dec 2014; Mike Gilbert <floppym@gentoo.org> python-2.7.9.ebuild:
+  Pass --without-ensurepip to configure.
 
   24 Dec 2014; Agostino Sarubbo <ago@gentoo.org> python-2.7.9.ebuild:
   Stable for ppc64, wrt bug #532232





^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2014-12-24 19:06 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2014-12-24 14:35 [gentoo-commits] gentoo-x86 commit in dev-lang/python: python-2.7.9.ebuild ChangeLog Agostino Sarubbo (ago)
  -- strict thread matches above, loose matches on Subject: below --
2014-12-24 19:06 Mike Gilbert (floppym)
2014-12-24 14:45 Agostino Sarubbo (ago)
2014-12-23  9:03 Agostino Sarubbo (ago)
2014-12-23  9:02 Agostino Sarubbo (ago)
2014-12-14 17:14 Mike Gilbert (floppym)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox